Overview | Modules | Class Hierarchy | Classes | Members

# GraphMeasure.h File Reference

`#include "tulip/Node.h"`
`#include "tulip/MutableContainer.h"`
`#include "tulip/PluginProgress.h"`
`#include "tulip/DoubleProperty.h"`

Include dependency graph for GraphMeasure.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Functions

- TLP_SCOPE bool tlp::averagePathLength (Graph *, double &, PluginProgress *=0)
- TLP_SCOPE bool tlp::averageCluster (Graph *, double &, PluginProgress *=0)
- TLP_SCOPE bool tlp::computeClusterMetric (Graph *graph, DoubleProperty *prop, unsigned int depth, PluginProgress *=0)
- TLP_SCOPE bool tlp::computeDagLevelMetric (Graph *graph, DoubleProperty *prop, PluginProgress *=0)
- TLP_SCOPE unsigned int tlp::maxDegree (Graph *)
- TLP_SCOPE unsigned int tlp::minDegree (Graph *)
- TLP_SCOPE unsigned int tlp::maxDistance (Graph *graph, node n, MutableContainer< unsigned int > &distance, int direction=2)

Tulip Software by LaBRI Visualization Team 2001 - 2010